Chapter 9. Manage the collection of usage data


Red Hat OpenShift AI administrators can choose whether to allow Red Hat to collect data about OpenShift AI usage in their cluster. Collecting this data allows Red Hat to monitor and improve our software and support. For further details about the data Red Hat collects, see Usage data collection notice for OpenShift AI.

Usage data collection is enabled by default when you install OpenShift AI on your OpenShift cluster except when clusters are installed in a disconnected environment.

See Disabling usage data collection for instructions on disabling the collection of this data in your cluster. If you have disabled data collection on your cluster, and you want to enable it again, see Enabling usage data collection for more information.

9.1. Usage data collection notice for OpenShift AI

In connection with your use of this Red Hat offering, Red Hat may collect usage data about your use of the software. This data allows Red Hat to monitor the software and to improve Red Hat offerings and support, including identifying, troubleshooting, and responding to issues that impact users.

What information does Red Hat collect?

Tools within the software monitor various metrics and this information is transmitted to Red Hat. Metrics include information such as:

  • Information about applications enabled in the product dashboard.
  • The deployment sizes used (that is, the CPU and memory resources allocated).
  • Information about documentation resources accessed from the product dashboard.
  • The name of the notebook images used, such as Jupyter | Minimal | CPU | Python 3.12, Jupyter | Data Science | CPU | Python 3.12, and other images.
  • A unique random identifier that generates during the initial user login to associate data to a particular username.
  • Usage information about components, features, and extensions.
Third Party Service Providers
Red Hat uses certain third party service providers to collect the telemetry data.
Security
Red Hat employs technical and organizational measures designed to protect the usage data.
Personal Data
Red Hat does not intend to collect personal information. If Red Hat discovers that personal information has been inadvertently received, Red Hat will delete such personal information and treat such personal information in accordance with Red Hat’s Privacy Statement. For more information about Red Hat’s privacy practices, see Red Hat’s Privacy Statement.
Enabling and Disabling Usage Data
You can disable or enable usage data by following the instructions in Disabling usage data collection or Enabling usage data collection.

9.2. Enable usage data collection

Red Hat OpenShift AI administrators can select whether to allow Red Hat to collect data about OpenShift AI usage in their cluster. Usage data collection is enabled by default when you install OpenShift AI on your OpenShift cluster except when clusters are installed in a disconnected environment. If you have disabled data collection previously, you can re-enable it by following these steps.

Prerequisites

  • You have logged in to OpenShift AI as a user with OpenShift AI administrator privileges.

Procedure

  1. From the OpenShift AI dashboard, click Settings Cluster settings.
  2. Locate the Usage data collection section.
  3. Select the Allow collection of usage data checkbox.
  4. Click Save changes.

Verification

  • A notification is shown when settings are updated: Settings changes saved.

9.3. Disable usage data collection

Red Hat OpenShift AI administrators can choose whether to allow Red Hat to collect data about OpenShift AI usage in their cluster. Usage data collection is enabled by default when you install OpenShift AI on your OpenShift cluster except when clusters are installed in a disconnected environment.

You can disable data collection by following these steps.

Prerequisites

  • You have logged in to OpenShift AI as a user with OpenShift AI administrator privileges.

Procedure

  1. From the OpenShift AI dashboard, click Settings Cluster settings.
  2. Locate the Usage data collection section.
  3. Clear the Allow collection of usage data checkbox.
  4. Click Save changes.

Verification

  • A notification is shown when settings are updated: Settings changes saved.

You can disable the collection of usage data for OpenShift AI by using the OpenShift CLI (oc). When disabled, OpenShift AI does not send usage data to Red Hat.

Prerequisites

  • You have cluster administrator privileges for your OpenShift cluster.
  • You have installed the OpenShift CLI (oc).

Procedure

  1. Disable usage data collection by patching the segment key configuration:

    $ oc patch configmap odh-segment-key-config \
      -n _<namespace>_ \
      --type=merge \
      -p '{"data":{"segmentKeyEnabled":"false"}}'

    where:

    _<namespace>_
    Specifies your application namespace. The namespace defaults to redhat-ods-applications unless customized in the DSCI.
Note

To re-enable usage data collection, set the "segmentKeyEnabled" value to "true".

Verification

  • Verify that the segment key is disabled:

    $ oc get configmap odh-segment-key-config \
      -n _<namespace>_ \
      -o jsonpath='{.data.segmentKeyEnabled}{"\n"}'

    where:

    _<namespace>_

    Specifies your application namespace. The namespace defaults to redhat-ods-applications unless customized in the DSCI.

    The command returns false.

  • Verify the segment key API returns an empty value.

    • Port forward the dashboard service:

      $ oc -n _<namespace>_ port-forward svc/rhods-dashboard 8443:8443

      where:

      _<namespace>_
      Specifies your application namespace. The namespace defaults to redhat-ods-applications unless customized in the DSCI.
    • From another terminal, run the following command:

      $ curl -sk -H "Authorization: Bearer $(oc whoami -t)" https://127.0.0.1:8443/api/segment-key

      When usage data collection is disabled, the segmentKey value is empty.

  • In the OpenShift AI dashboard, navigate to Settings General settings and verify that the Usage data collection checkbox shows the option as disabled.

You can hide the Usage data collection section from the OpenShift AI dashboard by using the disableTracking feature flag. When enabled, this flag removes the UI section from Settings General settings and prevents users from viewing or modifying the usage data collection setting through the dashboard interface.

Prerequisites

  • You have logged in to OpenShift AI as a user with OpenShift AI administrator privileges.
  • You have installed the OpenShift CLI (oc).

Procedure

  1. Hide the usage data collection UI section by patching the dashboard configuration:

    $ oc patch odhdashboardconfig odh-dashboard-config \
      -n <namespace> \
      --type=merge \
      -p {"spec":{"dashboardConfig":{"disableTracking":true}}}

    where:

    _<namespace>_
    Specifies your application namespace. The namespace defaults to redhat-ods-applications unless customized in the DataScienceClusterInitialization (DSCI).

Verification

  • Verify that the disableTracking feature flag is set to true:

    $ oc get odhdashboardconfig odh-dashboard-config \
      -n <namespace> \
      -o jsonpath={.spec.dashboardConfig.disableTracking}{"\n"}

    where:

    _<namespace>_

    Specifies your application namespace. The namespace defaults to redhat-ods-applications unless customized in the DSCI.

    The command returns true.

  • Wait up to two minutes for the dashboard to refresh the configuration. In the OpenShift AI dashboard, navigate to Settings General settings and verify that the Usage data collection section does not appear.

Additional resources

Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top